GNU bug report logs - #34178
27.0.50; Tramp not responding correctly to "/scp:slc:" syntax

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Tim Blackman <tim.blackman@HIDDEN>; merged with #34094; dated Wed, 23 Jan 2019 13:51:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 34178 <at> debbugs.gnu.org:


Received: (at 34178) by debbugs.gnu.org; 25 Jan 2019 08:03:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 25 03:03:13 2019
Received: from localhost ([127.0.0.1]:44472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmwSH-0004W0-Iu
	for submit <at> debbugs.gnu.org; Fri, 25 Jan 2019 03:03:13 -0500
Received: from mout.gmx.net ([212.227.17.22]:53807)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gmwSF-0004Vm-Rt
 for 34178 <at> debbugs.gnu.org; Fri, 25 Jan 2019 03:03:12 -0500
Received: from detlef.gmx.de ([213.220.157.140]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M3i8r-1h4btO2lnt-00rI3I; Fri, 25
 Jan 2019 09:02:55 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#34178: 27.0.50;
 Tramp not responding correctly to "/scp:slc:" syntax
References: <97C2566A-CC69-4DA9-8778-2D58AC613B9E@HIDDEN>
 <87o987xwht.fsf@HIDDEN>
 <77BF2728-A02F-4DA5-9DFD-66019BD8F7A7@HIDDEN>
 <87fttj4d4x.fsf@HIDDEN> <el4l9xdfx8.fsf@HIDDEN>
Date: Fri, 25 Jan 2019 09:02:53 +0100
In-Reply-To: <el4l9xdfx8.fsf@HIDDEN> (Glenn Morris's message of
 "Thu, 24 Jan 2019 14:16:51 -0500")
Message-ID: <87sgxhi2qa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:VZI/ByiP30jiQk5qJNikAGIttqXby1euq//zbFb1ij2957guRjt
 //izoso64e1jvLNM9SWcov9u9q/jqEToMj00syBdZRNZ2qivAkCH5lJsjG8TCpMVpudFnrt
 Fjt9riN8fhcGJjlCQucqLw7D1FXeaTAv1COFA7JRYAc/XehTvgA3TN5/uwiPzcrHSOREahA
 TJKareGqBWIyoW1Z1biQg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:/IpVSDHreaI=:QVIFmrKBykhmTEn63Zyagg
 sl1TOBGSQhqX823Oih/TG/TrYKgl+Zh6qRUsNcYWP7rIfFG6tzITbeE284+4xQZuFnxjvf8Eu
 fje/ZU6YLa1FRBYdfA6ayk/oMvUKCH1+kBGL3fsQRNC1rjG8RcrnlFeirCn3zKU2ftwKJ9Z74
 GR2Y/mH48Dr+FSyBLVupxsfuN3jJskKm5a3c4aUUjbbdE95+o7nexLoGdDiuuTgoe4xbVK89P
 rZ/Hs9l8st2ig7PIbxJeeHx8n7qaxNIto7p3Vl85bC3FktEwuWZKQzKvPdw/GNGnsruMUeHL1
 rx1j6O9GHzITlGoWt4tB4NDwsUOQ4fcECT2w7qPfa9QbgPMMXzPxMrw3qQUh2L1dKMAQf8iCP
 aHY5EfDIMzX12LhtQw+OSh6CVRnpObSun7knjwZ8fqjnFSk8c6ubrvzp0gw74Ip1E9o2snbfk
 6QWRGnjI6xnDIZR8+flTfWC2Wng5dQD7JnQEhpBut2150YZLciyqUmMPGzl4Oy/+EfNYQcWfS
 6Af8gsO2vPkIf3XyMJiCU42eT4yNV8dZKRwizIik3o01AgfsXCpMZPk7btxluz7HgNK6Nak05
 d6NPgtzs6ohERIpeCMg48YSHymoT/ot02S9bWjNRPMNCrkjOAPLhxMcVLR77iJsqFCvRIt/yE
 c8PcQkZLuDoGt7Kowxg29UyUEMDfPjBcLy0MkIOx7Dp38WS0Ib1QWLGm3rtJCN/wuHwuiGGE+
 Itv0qeEUwGylV5ZenxwdmTHeWspwINb7VxsxzYQpAL3XelAP7rzOXZIOtrrb4toQO3RQue8Mt
 uCwPQ+kBkAsVd4ImLTZsVKZ7rI4TxGudxCcN37gqRvGR3o2rj4zUg8Xk972CCpaMbJXMzQxaf
 zLT8uv41Y84bD4+6nXA54xQpARUXemr3aFauPvubTuOJJ1m4oZGlJ16sR2dofY6YgfkMF+uRd
 EF+9GwEV/Hw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34178
Cc: 34178 <at> debbugs.gnu.org, Tim Blackman <tim.blackman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Glenn Morris <rgm@HIDDEN> writes:

Hi Glenn,

>>>   Wrong type argument: stringp, (require . elec-pair)
>>
>> OMG. That's not Tramp related. No idea what's that, could somebody else
>> pls chime in?
>
> https://debbugs.gnu.org/34094

Thanks, I've merged both bugs.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34178; Package emacs. Full text available.
Merged 34094 34178. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34178 <at> debbugs.gnu.org:


Received: (at 34178) by debbugs.gnu.org; 24 Jan 2019 19:17:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 24 14:17:07 2019
Received: from localhost ([127.0.0.1]:44289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmkUt-0002Wn-38
	for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 14:17:07 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1gmkUr-0002RY-5B
 for 34178 <at> debbugs.gnu.org; Thu, 24 Jan 2019 14:17:05 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49754)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1gmkUj-0007Be-CF; Thu, 24 Jan 2019 14:16:58 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1gmkUe-0000Id-Ih; Thu, 24 Jan 2019 14:16:52 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#34178: 27.0.50;
 Tramp not responding correctly to "/scp:slc:" syntax
References: <97C2566A-CC69-4DA9-8778-2D58AC613B9E@HIDDEN>
 <87o987xwht.fsf@HIDDEN>
 <77BF2728-A02F-4DA5-9DFD-66019BD8F7A7@HIDDEN>
 <87fttj4d4x.fsf@HIDDEN>
X-Spook: NOC SBI Nerve agent Agriculture AFSPC SDI Mena NSA
X-Ran: PI@\>~:}5wk2m!@zp[iJl%w^do@,U#cf$+Ia{?bQapgEpq!`-m`P&pVVG4~p$h`<Y/zg<B
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 24 Jan 2019 14:16:51 -0500
In-Reply-To: <87fttj4d4x.fsf@HIDDEN> (Michael Albinus's message of "Wed, 23
 Jan 2019 16:17:18 +0100")
Message-ID: <el4l9xdfx8.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34178
Cc: 34178 <at> debbugs.gnu.org, Tim Blackman <tim.blackman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Albinus wrote:

>>   Wrong type argument: stringp, (require . elec-pair)
>
> OMG. That's not Tramp related. No idea what's that, could somebody else
> pls chime in?

https://debbugs.gnu.org/34094




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34178; Package emacs. Full text available.

Message received at 34178 <at> debbugs.gnu.org:


Received: (at 34178) by debbugs.gnu.org; 23 Jan 2019 15:17:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 10:17:32 2019
Received: from localhost ([127.0.0.1]:42936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmKHT-0002nX-SF
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 10:17:32 -0500
Received: from mout.gmx.net ([212.227.15.19]:38439)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gmKHS-0002nJ-8v
 for 34178 <at> debbugs.gnu.org; Wed, 23 Jan 2019 10:17:30 -0500
Received: from detlef.gmx.de ([212.91.238.153]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MX1dc-1gj8qx402O-00VyUY; Wed, 23
 Jan 2019 16:17:20 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Tim Blackman <tim.blackman@HIDDEN>
Subject: Re: bug#34178: 27.0.50;
 Tramp not responding correctly to "/scp:slc:" syntax
References: <97C2566A-CC69-4DA9-8778-2D58AC613B9E@HIDDEN>
 <87o987xwht.fsf@HIDDEN>
 <77BF2728-A02F-4DA5-9DFD-66019BD8F7A7@HIDDEN>
Date: Wed, 23 Jan 2019 16:17:18 +0100
In-Reply-To: <77BF2728-A02F-4DA5-9DFD-66019BD8F7A7@HIDDEN> (Tim Blackman's
 message of "Wed, 23 Jan 2019 09:57:08 -0500")
Message-ID: <87fttj4d4x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:4dMy9098dDxUU4M2cu76i7Yq0k+4Yj7XxFs5nioTwI79k8SdRZt
 1qHaUQlwUDjuJU8hAlhGjtBq/8G5iORmclhktGLcdHIqpS4/Et7Z3fWRiWxeYjjTRVGiPmv
 zDICGSdhUYRGk0v1sZ3wtVLnmXLZtiK/H7DM4zsKgRhyGPqGhwPuyS+ru5DEimDZS2CRhN8
 ukZe3b/F1UuwZjBbCpPtA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:j8nnDPOJhmk=:DIsxeNtPF+uBpJEHoeGeg3
 AU3/eyJBRy6K0Bw3EkY+ca06qCq9SJ2uxAZk/iyjg6L50RqSlhycHYj8gIT5PxxipcCwqWbfI
 LvMgIOMy7u0Y/JV/daVNcTBqWqQNCCSMS9BQvLjimJuQoiXDfVf3Xi72M/aH+yxnv/5DyLt+v
 Cq2IhW6CTefKtYflvXs8DM+2DocsmYmYK0ee28UYPUcIzsoWkOMX9fcjxrTMjHClU6YDLzqkt
 2UOKbySNvkCdSbwi+fb0UWVB0hqFjJVPUjRuBIrD7Lf8IOtsM5kr/Sfz2x2SVgKzvFjw0Fsab
 L2dvjvgg3D28R/Rc6RzorIEZHTgHN2xGNWs3uMo6fH4VCK9lIzM+NVVNfrdfdSnGJwEPMuSYl
 TImWOAfWQhabqYGC2Fj4brZUBt+Fjp1R+Ch6Hdnm7zL8dWun7K+ZP0Tfu1OclTWxre5rHLzCf
 y0+evtD9fTjc5q+6hgY4WbmT/BiQQ5yZB2znlpYHuGjC2fv+9pWApvHtnKk9mN+QWTCKuZ+eE
 PK55cVNxVZJFdUiLrhawlFwKE5TEj0J06UUOylgr4e8POFi5zSLGW2obsW1DFuoRwqPawjJBV
 9HDUTO0KR68uzDWLtF6ktgaobY/egpNQ1AHlFHW1Gdu+Cobgej2uCz1Cmgg1n64o4g0TWT7nH
 CalB3KJTt08+ilQiou/CpRwU0XejJQ1GTVW6Xy16zmIHBm8jmpdDcJJiEigNe8avSYc79Xu1/
 FSFtR8AtXa8RojEJvDbEF3PpABfX6iNoNfcVZAOKSAJMT6lNGH7h/2IC7mVVyKpqbAPrVNfto
 pC+M/QtArzJ2zMVfqdlxnAfxANmYeCWIsqB5pyOIEcYsh/WEmbFMchkvLmKtUy2Gm3BQ3elIK
 bykgSfPn+0CEr3aZy3BWv/F7T24W2s2xa5OEqw4QkPe8IVVBqHaF/oR7RoBDZMtyWzpsSPkzn
 IKVarjD4vmg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34178
Cc: 34178 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Tim Blackman <tim.blackman@HIDDEN> writes:

Hi Tim,

>     Could you pls perform 'C-h v file-name-handler-alist' prior and
>     after
>     opening your file?
>
> When I do that and press <RET>, I get transient minibuffer output that
> says:
>
>   Wrong type argument: stringp, (require . elec-pair)

OMG. That's not Tramp related. No idea what's that, could somebody else
pls chime in?

>     As a second test, does it help to preload Tramp when starting
>     Emacs, as
>     with 'emacs -Q -l tramp'?
>
> That got tramp to work.

At least this ...

> - Tim

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34178; Package emacs. Full text available.

Message received at 34178 <at> debbugs.gnu.org:


Received: (at 34178) by debbugs.gnu.org; 23 Jan 2019 14:57:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 09:57:25 2019
Received: from localhost ([127.0.0.1]:42921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmJy1-0002HQ-0l
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 09:57:25 -0500
Received: from userp2130.oracle.com ([156.151.31.86]:42832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tim.blackman@HIDDEN>) id 1gmJxy-0002HC-PH
 for 34178 <at> debbugs.gnu.org; Wed, 23 Jan 2019 09:57:23 -0500
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.22/8.16.0.22) with SMTP id x0NErfqL137956;
 Wed, 23 Jan 2019 14:57:16 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : message-id :
 content-type : mime-version : subject : date : in-reply-to : cc : to :
 references; s=corp-2018-07-02;
 bh=Nw+TTIZ5uDx3tuLN1tpjTk1ADKHJEnDsJ6i2j9AOibc=;
 b=pLzCUPMPezyL7wOqTv0NBGjkEMZQ1rcK/OYAmFhJjU94/jKnVbjQqHrOmYAAM2TLEENz
 WDGSi1BBxjlGf2lULW+uElYasD3eQWB+wQamPj9vom8qgAxKbd/tVekPXs3pu66/UOkn
 CyIuauuBt9L1EAKgbg1MtMPMHGTaf7V2aGjA++umWpee6sXt6jkrKGatKXWZsM74y5fh
 z5LKNd4O4k6rTEXIyW0huIK9e3zF9RZiqkxH35xI6L82znMl5/vkl84tRAVrB+EK70Lb
 9oOA5SnnB8z2q2gXvse3NEhPzWBZ6bDuudf25qYceR5AdBH25PJH0w7kL8pJ3IaQbnXK Aw== 
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by userp2130.oracle.com with ESMTP id 2q3uautb43-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 23 Jan 2019 14:57:16 +0000
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserv0021.oracle.com (8.14.4/8.14.4) with ESMTP id x0NEvAZq000455
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 23 Jan 2019 14:57:10 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x0NEvAR2005362;
 Wed, 23 Jan 2019 14:57:10 GMT
Received: from [10.39.198.106] (/10.39.198.106)
 by default (Oracle Beehive Gateway v4.0)
 with ESMTP ; Wed, 23 Jan 2019 06:57:09 -0800
From: Tim Blackman <tim.blackman@HIDDEN>
Message-Id: <77BF2728-A02F-4DA5-9DFD-66019BD8F7A7@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_CCDEEA39-E2A0-47BF-960C-C15AB53F889B"
Mime-Version: 1.0 (Mac OS X Mail 11.5 \(3445.9.1\))
Subject: Re: bug#34178: 27.0.50; Tramp not responding correctly to "/scp:slc:"
 syntax
Date: Wed, 23 Jan 2019 09:57:08 -0500
In-Reply-To: <87o987xwht.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
References: <97C2566A-CC69-4DA9-8778-2D58AC613B9E@HIDDEN>
 <87o987xwht.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3445.9.1)
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9144
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1901230112
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34178
Cc: 34178 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


--Apple-Mail=_CCDEEA39-E2A0-47BF-960C-C15AB53F889B
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

On Jan 23, 2019, at 9:46 AM, Michael Albinus <michael.albinus@HIDDEN> =
wrote:

>> When using this nightly Emacs build, I noticed that C-x C-f was not
>> responding correctly to the normal tramp syntax.
>>=20
>> After starting up with 'emacs -Q', I did:
>>=20
>>  C-x C-f /scp:slc:<RET>
>>=20
>> ("slc" is the name of my remote host.)
>>=20
>> The message area displayed:
>>=20
>> File not found and directory write-protected
>>=20
>> The buffer showing was named "scp:slc:", so it seemed to think I was
>> talking about a local file.
>>=20
>> Note that when I type C-x C-f in the 26.1 pretest version, the =
default
>> directory is "~/", but it is "/" in the nightly. Not sure if that is
>> significant.
>>=20
>> Note that, following instructions, I did M-: (setq tramp-verbose 6)
>> prior to calling C-x C-f, but there did not seem to be a tramp debug
>> trace generated. I'm guessing that the problem is happening earlier =
and
>> the command is deciding to not invoke tramp at all.
>=20
> Hmm, yes. Tramp shall be autoloaded.

=F0=9F=99=8F=F0=9F=99=8F=F0=9F=99=8F

> Could you pls perform 'C-h v file-name-handler-alist' prior and after
> opening your file?

When I do that and press <RET>, I get transient minibuffer output that =
says:

  Wrong type argument: stringp, (require . elec-pair)

Same thing happens on second <RET>, but third one works =E2=80=94 neat!

The C-x C-f behavior is unchanged after this: Still says file not found =
and brings up a local buffer.

> As a second test, does it help to preload Tramp when starting Emacs, =
as
> with 'emacs -Q -l tramp'?

That got tramp to work. Then I see the redisplay problem. :-)

- Tim=

--Apple-Mail=_CCDEEA39-E2A0-47BF-960C-C15AB53F889B
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">On =
Jan 23, 2019, at 9:46 AM, Michael Albinus &lt;<a =
href=3D"mailto:michael.albinus@HIDDEN" =
class=3D"">michael.albinus@HIDDEN</a>&gt; wrote:<br class=3D""><div><br =
class=3D""><blockquote type=3D"cite" class=3D""><div =
class=3D""><blockquote type=3D"cite" style=3D"font-family: Georgia; =
font-size: 18px; font-style: normal; font-variant-caps: normal; =
font-weight: normal; letter-spacing: normal; orphans: auto; text-align: =
start; text-indent: 0px; text-transform: none; white-space: normal; =
widows: auto; word-spacing: 0px; -webkit-text-size-adjust: auto; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D"">When =
using this nightly Emacs build, I noticed that C-x C-f was not<br =
class=3D"">responding correctly to the normal tramp syntax.<br =
class=3D""><br class=3D"">After starting up with 'emacs -Q', I did:<br =
class=3D""><br class=3D"">&nbsp;C-x C-f /scp:slc:&lt;RET&gt;<br =
class=3D""><br class=3D"">("slc" is the name of my remote host.)<br =
class=3D""><br class=3D"">The message area displayed:<br class=3D""><br =
class=3D"">File not found and directory write-protected<br class=3D""><br =
class=3D"">The buffer showing was named "scp:slc:", so it seemed to =
think I was<br class=3D"">talking about a local file.<br class=3D""><br =
class=3D"">Note that when I type C-x C-f in the 26.1 pretest version, =
the default<br class=3D"">directory is "~/", but it is "/" in the =
nightly. Not sure if that is<br class=3D"">significant.<br class=3D""><br =
class=3D"">Note that, following instructions, I did M-: (setq =
tramp-verbose 6)<br class=3D"">prior to calling C-x C-f, but there did =
not seem to be a tramp debug<br class=3D"">trace generated. I'm guessing =
that the problem is happening earlier and<br class=3D"">the command is =
deciding to not invoke tramp at all.<br class=3D""></blockquote><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Georgia; font-size: =
18px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D""><span =
style=3D"caret-color: rgb(0, 0, 0); font-family: Georgia; font-size: =
18px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none; float: none; =
display: inline !important;" class=3D"">Hmm, yes. Tramp shall be =
autoloaded.</span><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Georgia; font-size: 18px; font-style: normal; font-variant-caps: normal; =
font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""></div></blockquote><div><br =
class=3D""></div>=F0=9F=99=8F=F0=9F=99=8F=F0=9F=99=8F</div><div><br =
class=3D""><blockquote type=3D"cite" class=3D""><div class=3D""><span =
style=3D"caret-color: rgb(0, 0, 0); font-family: Georgia; font-size: =
18px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none; float: none; =
display: inline !important;" class=3D"">Could you pls perform 'C-h v =
file-name-handler-alist' prior and after</span><br style=3D"caret-color: =
rgb(0, 0, 0); font-family: Georgia; font-size: 18px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><span style=3D"caret-color: rgb(0, 0, =
0); font-family: Georgia; font-size: 18px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none; float: none; display: inline !important;" =
class=3D"">opening your file?</span><br style=3D"caret-color: rgb(0, 0, =
0); font-family: Georgia; font-size: 18px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""></div></blockquote><div><br =
class=3D""></div><div>When I do that and press &lt;RET&gt;, I get =
transient minibuffer output that says:</div><div><br =
class=3D""></div><div>&nbsp; Wrong type argument: stringp, (require . =
elec-pair)</div><div><br class=3D""></div><div>Same thing happens on =
second &lt;RET&gt;, but third one works =E2=80=94 neat!</div><div><br =
class=3D""></div><div>The C-x C-f behavior is unchanged after this: =
Still says file not found and brings up a local buffer.</div><div><br =
class=3D""></div><blockquote type=3D"cite" class=3D""><div =
class=3D""><span style=3D"caret-color: rgb(0, 0, 0); font-family: =
Georgia; font-size: 18px; font-style: normal; font-variant-caps: normal; =
font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none; float: none; display: inline !important;" class=3D"">As a second =
test, does it help to preload Tramp when starting Emacs, as</span><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Georgia; font-size: =
18px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D""><span =
style=3D"caret-color: rgb(0, 0, 0); font-family: Georgia; font-size: =
18px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none; float: none; =
display: inline !important;" class=3D"">with 'emacs -Q -l =
tramp'?</span><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Georgia; font-size: 18px; font-style: normal; font-variant-caps: normal; =
font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""></div></blockquote><div><br class=3D""></div><div>That =
got tramp to work. Then I see the redisplay problem. :-)</div><div><br =
class=3D""></div><div>- Tim</div></div></body></html>=

--Apple-Mail=_CCDEEA39-E2A0-47BF-960C-C15AB53F889B--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34178; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jan 2019 13:50:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 08:50:45 2019
Received: from localhost ([127.0.0.1]:42144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmIvV-0000UU-Hi
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 08:50:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tim.blackman@HIDDEN>) id 1gmIvT-0000UH-KP
 for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 08:50:44 -0500
Received: from lists.gnu.org ([209.51.188.17]:56886)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tim.blackman@HIDDEN>)
 id 1gmIvN-0002Hk-FC
 for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 08:50:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58634)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tim.blackman@HIDDEN>) id 1gmIvM-00071y-B5
 for bug-gnu-emacs@HIDDEN; Wed, 23 Jan 2019 08:50:37 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.5 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_MED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tim.blackman@HIDDEN>) id 1gmIux-00026d-9T
 for bug-gnu-emacs@HIDDEN; Wed, 23 Jan 2019 08:50:12 -0500
Received: from aserp2130.oracle.com ([141.146.126.79]:58348)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tim.blackman@HIDDEN>)
 id 1gmIux-00022n-0k
 for bug-gnu-emacs@HIDDEN; Wed, 23 Jan 2019 08:50:11 -0500
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.22/8.16.0.22) with SMTP id x0NDnKli027075
 for <bug-gnu-emacs@HIDDEN>; Wed, 23 Jan 2019 13:50:08 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : content-type :
 content-transfer-encoding : mime-version : subject : message-id : date :
 to; s=corp-2018-07-02; bh=tMlAPlXerBBLCcp3sc0rz/AUN4Dc0LECyJfMgunKWRw=;
 b=kdPNSHV8Mmifvajmr2IciKXT8/bzq/5wrSip6MAwnuVMRwHR26+VQdyBo2v2kmLyn9Iu
 0Z67W8wGAg/8pm6q6sGPR1zmZsjoZ1ojRLYawXyuMJ34waEzUi5t3kbkfXoWuZ/Qm2b6
 nY8rH9fXWQhhQOEFkr+E8VBRCbgZwsiEICepDJg5vUMJ93AqE9rJMfPwCVHuaSvRcogd
 XNY0hfjNMJwwWIz1HeumnxWwMvxcYKPRAPbSpMKAPd4Qbd9Ve0jcImDZCTCbehfYEX17
 XbUX8JAs0CY2wG8JKs0bDYzLkqBCw3qk9Cm1SM+T/qZjrtIs9t1+uLVppZbzdAXAcV0o oQ== 
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by aserp2130.oracle.com with ESMTP id 2q3sdej2jd-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Wed, 23 Jan 2019 13:50:08 +0000
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userv0022.oracle.com (8.14.4/8.14.4) with ESMTP id x0NDo6FB032228
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Wed, 23 Jan 2019 13:50:07 GMT
Received: from abhmp0015.oracle.com (abhmp0015.oracle.com [141.146.116.21])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x0NDo60W023094
 for <bug-gnu-emacs@HIDDEN>; Wed, 23 Jan 2019 13:50:06 GMT
Received: from [10.39.198.106] (/10.39.198.106)
 by default (Oracle Beehive Gateway v4.0)
 with ESMTP ; Wed, 23 Jan 2019 05:50:06 -0800
From: Tim Blackman <tim.blackman@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 11.5 \(3445.9.1\))
Subject: 27.0.50; Tramp not responding correctly to "/scp:slc:" syntax
Message-Id: <97C2566A-CC69-4DA9-8778-2D58AC613B9E@HIDDEN>
Date: Wed, 23 Jan 2019 08:50:05 -0500
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3445.9.1)
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9144
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=1
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1901230104
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-Received-From: 141.146.126.79
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

When using this nightly Emacs build, I noticed that C-x C-f was not
responding correctly to the normal tramp syntax.

After starting up with 'emacs -Q', I did:

  C-x C-f /scp:slc:<RET>

("slc" is the name of my remote host.)

The message area displayed:

 File not found and directory write-protected

The buffer showing was named "scp:slc:", so it seemed to think I was
talking about a local file.

Note that when I type C-x C-f in the 26.1 pretest version, the default
directory is "~/", but it is "/" in the nightly. Not sure if that is
significant.

Note that, following instructions, I did M-: (setq tramp-verbose 6)
prior to calling C-x C-f, but there did not seem to be a tramp debug
trace generated. I'm guessing that the problem is happening earlier and
the command is deciding to not invoke tramp at all.

- Tim

In GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin14.5.0, NS =
appkit-1561.60 Version 10.13.6 (Build 17G4015))
 of 2019-01-23 built on Lime.local
Windowing system distributor 'Apple', version 10.3.1561
System Description:  Mac OS X 10.13.6

Recent messages:
Loading electric...done
Loading emacs-lisp/eldoc...done
Loading cus-start...done
Loading tooltip...done
Loading =
/Users/tblackma/Desktop/Emacs-nightly.app/Contents/Resources/lisp/leim/lei=
m-list.el (source)...done
Finding pointers to doc strings...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading loadup.el (source)...done
6 (#o6, #x6, ?\C-f)
File not found and directory write-protected

Configured using:
 'configure --with-ns '--enable-locallisppath=3D/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES
THREADS CANNOT_DUMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml easymenu mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils tramp-loaddefs trampver
tramp-compat shell pcomplete comint ansi-color ring parse-time
format-spec advice auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib elec-pair tooltip cus-start eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win
ns-win ucs-normalize mule-util term/common-win tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow
isearch timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 280154 15648)
 (symbols 48 21850 2)
 (strings 32 59698 2519)
 (string-bytes 1 2495898)
 (vectors 16 51938)
 (vector-slots 8 1404615 50944)
 (floats 8 190 60)
 (intervals 56 225 0)
 (buffers 992 12))





Acknowledgement sent to Tim Blackman <tim.blackman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34178; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 25 Jan 2019 08:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.